package com.ruoyi.system.domain;


import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;

public class B1 {

    @JSONField(name = "序号")
    private Long id;
    @JSONField(name = "查勘站名")
    private String stationName;
    @JSONField(name = "站址类型")
    private String stationType;
    @JSONField(name = "区域类型")
    private String areaType;
    @JSONField(name = "经度")
    private Double longitude;
    @JSONField(name = "纬度")
    private Double latitude;
    @JSONField(name = "运营商和工程期别")
    private String operator;
    @JSONField(name = "日期")
    private String currentTime;
    @JSONField(name = "查勘人")
    private String surveyPerson;
    @JSONField(name = "查勘人ID")
    private String userId;
    @JSONField(name = "员工归属单元")
    private String employeeOwnerUnit;
    @JSONField(name = "项目归属单元")
    private String projectOwnerUnit;
    @JSONField(name = "受阻情况")
    private String blockSituation;
    @JSONField(name = "说明")
    private String explainInfo;

//    private String status;
//
//    private String passed;
//
//    private String verifier;
//
//    private String verifyTime;
//
//    private String uploadPerson;
    @JSONField(name = "上传日期时间",format = "yyyy-MM-dd HH:mm:ss")
    private String uploadTime;
    @JSONField(name = "同意标志")
    private String agreeSign;

    public B1() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getStationType() {
        return stationType;
    }

    public void setStationType(String stationType) {
        this.stationType = stationType;
    }

    public String getAreaType() {
        return areaType;
    }

    public void setAreaType(String areaType) {
        this.areaType = areaType;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(String currentTime) {
        this.currentTime = currentTime;
    }

    public String getSurveyPerson() {
        return surveyPerson;
    }

    public void setSurveyPerson(String surveyPerson) {
        this.surveyPerson = surveyPerson;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getEmployeeOwnerUnit() {
        return employeeOwnerUnit;
    }

    public void setEmployeeOwnerUnit(String employeeOwnerUnit) {
        this.employeeOwnerUnit = employeeOwnerUnit;
    }

    public String getProjectOwnerUnit() {
        return projectOwnerUnit;
    }

    public void setProjectOwnerUnit(String projectOwnerUnit) {
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public String getBlockSituation() {
        return blockSituation;
    }

    public void setBlockSituation(String blockSituation) {
        this.blockSituation = blockSituation;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getAgreeSign() {
        return agreeSign;
    }

    public void setAgreeSign(String agreeSign) {
        this.agreeSign = agreeSign;
    }

    @Override
    public String toString() {
        return "B1{" +
                "id=" + id +
                ", stationName='" + stationName + '\'' +
                ", stationType='" + stationType + '\'' +
                ", areaType='" + areaType + '\'' +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                ", operator='" + operator + '\'' +
                ", currentTime='" + currentTime + '\'' +
                ", surveyPerson='" + surveyPerson + '\'' +
                ", employeeOwnerUnit='" + employeeOwnerUnit + '\'' +
                ", projectOwnerUnit='" + projectOwnerUnit + '\'' +
                ", blockSituation='" + blockSituation + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                ", agreeSign='" + agreeSign + '\'' +
                '}';
    }

    public B1(String currentTime, String userId, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.userId = userId;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public B1(String currentTime, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.projectOwnerUnit = projectOwnerUnit;
    }
}
